Delete a style profile
curl --request DELETE \
--url https://api.deepl.com/v3/style_profiles/{style_profile_id} \
--header 'Authorization: <api-key>'{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}Style Profiles
Delete a style profile
Learn how to delete a style profile you own, and why the components it bundled are only unlinked.
DELETE
/
v3
/
style_profiles
/
{style_profile_id}
Delete a style profile
curl --request DELETE \
--url https://api.deepl.com/v3/style_profiles/{style_profile_id} \
--header 'Authorization: <api-key>'{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}Authorizations
Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>
Path Parameters
The ID of the style profile to delete. A unique ID assigned to a style profile.
Example:
"3f1c9d0e-7a24-4b58-9c31-8f0e5d2a1b47"
Response
The style profile was deleted. The response has no body.